Anonymous Login
2019-12-05 11:31 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000748v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:50
ReporterMiraKlim 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000748: Unable to add new user
DescriptionAfter fresh instalation I tried to add a new user. After pressing "Submit" button I got SQL error query failed(INSERT INTO `contacts` ..... Field 'contact_phone' doesn't have a default value.
When checking database, I found that a new record had been inserted into users table, but not in contacts table.
The new user was not visible in list of users. When I tried the same again, I got error message "User already exists. Try another username."
Steps To ReproduceSee description
Additional InformationSolution found:
Change Contacts table structure and allow Null value for 'contact_phone'
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001722

MiraKlim (reporter)

After changing 'contact_phone' filed to allo Null values, I got another error:

query failed(INSERT INTO `contacts`(`contact_id`,`contact_first_name`,`contact_last_name`,`contact_order_by`,`contact_company`,`contact_email`,`contact_owner`,`contact_lastupdate`) ... - error was: Field 'contact_display_name' doesn't have a default value

Solved by allowing Null values for field contact_display_name

~0001724

caseydk (administrator)

I have a local fix prepared. Here you go:

ALTER TABLE `contacts` CHANGE `contact_email` `contact_email` VARCHAR( 255 )
    CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '';

ALTER TABLE `contacts` CHANGE `contact_phone` `contact_phone` VARCHAR( 30 )
    CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT ''

~0001741

caseydk (administrator)

Resolved in r1759

~0001771

caseydk (administrator)

Closed in preparation for v2.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2011-03-14 22:55 MiraKlim New Issue
2011-03-14 23:11 MiraKlim Note Added: 0001722
2011-03-16 22:02 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-16 22:13 caseydk Status new => assigned
2011-03-16 22:13 caseydk Assigned To => caseydk
2011-03-16 22:14 caseydk Note Added: 0001724
2011-03-22 12:11 caseydk Note Added: 0001741
2011-03-22 12:11 caseydk Status assigned => resolved
2011-03-22 12:11 caseydk Resolution open => fixed
2011-03-24 09:50 caseydk Note Added: 0001771
2011-03-24 09:50 caseydk Status resolved => closed
2011-03-24 09:50 caseydk Fixed in Version => 2.3
+Issue History